Bug 435819 - gdb crash w/ unknown ptrace event 5
Summary: gdb crash w/ unknown ptrace event 5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-03 23:29 UTC by Tom Tromey
Modified: 2014-08-11 05:46 UTC (History)
1 user (show)

Fixed In Version: 6.6-45.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 19:28:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Tromey 2008-03-03 23:29:04 UTC
I'm trying to run gdb on gcc, but have it follow-fork
and debug into the cc1 subprocess.  I'm using an up-to-date F8.
Here is the transcript of the session:

gdb --args /home/tromey/incremental/install/bin/gcc -O2 -S
/home/tromey/incremental/trunk/gcc/testsuite/gcc.c-torture/compile/20010404-1.c 

(Note that I'm running in Emacs using a special (local) mode,
which I think adds -fullname --annotate=3, in case that matters)

Current directory is ~/incremental/T/
GNU gdb Red Hat Linux (6.6-43.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) set detach-on-fork off
(gdb) set follow-fork-mode child
(gdb) b internal_error
Function "internal_error" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 1 (internal_error) pending.
(gdb) r
Starting program: /home/tromey/incremental/install/bin/gcc -O2 -S
/home/tromey/incremental/trunk/gcc/testsuite/gcc.c-torture/compile/20010404-1.c
[Thread debugging using libthread_db enabled]
../../gdb/linux-nat.c:623: internal-error: unknown ptrace event 5
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) y
../../gdb/linux-nat.c:623: internal-error: unknown ptrace event 5
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) n

Debugger exited abnormally with code 1

Comment 1 Jan Kratochvil 2008-03-10 20:28:22 UTC
Reproduced on F8 gdb-6.6-44.fc8.x86_64, it works on Rawhide, to be backported.


Comment 2 Jan Kratochvil 2008-03-13 22:45:13 UTC
Comitted to the F-8 CVS:
* Thu Mar 13 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-45
- Backport of follow-fork-mode child fixes (BZ 435819).


Comment 3 Fedora Update System 2008-03-16 13:18:07 UTC
gdb-6.6-45.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-03-16 19:28:35 UTC
gdb-6.6-45.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.